質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

解決済

PythonでTensorFlowを使うコードを実行する時のエラーについて

JUN_NETWORKS
JUN_NETWORKS

総合スコア13

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

1回答

0評価

0クリップ

10545閲覧

投稿2016/12/28 03:55

PythonでTensorFlowをimportするときに発生するエラーについて

現在私はTensorFlowについていろいろなWebサイトを見ながら勉強してるのですが、エラーが出て困っています。
pythonシェルでimport tensorflowと入力すると何事もなくインポートできるのですが、コードを実行するとエラーが出ます。

コード内容はTensorFlow を使った 機械学習ことはじめというスライドの中の最初のサンプルです。

コードとエラー内容

python

import numpy as np import matplotlib.pyplot as plt import tensorflow as tf #入力変数と出力変数のプレースホルダを作成 x = tf.placeholder(tf.float32, shape=(None,2), name="x") y_ = tf.placeholder(tf.float32, shape=(None,1), name="y") #モデルパラメータ a = tf.Variable(tf.zeros((2,1)), name="a") #モデル式 y = tf.matmul(x, a) #誤差関数(loss) loss = tf.reduce_mean(tf.square(y_ - y)) #最適化手段を選ぶ(最急降下法) train_step = tf.train.GradientDescentOptimizer(0.02).minimize(loss) #訓練データの作成 train_x = np.array([[1., 3.], [3., 1.,], [5., 7.]]) train_y = np.array([190., 330., 660.]).reshape(3, 1) print ("x=", train_x) print ("y=", train_y) #(2)セッションを準備し、変数を初期化 sess = tf.Session() init = tf.global_variables_initializer() sess.run(init) #(3)最急勾配法でパラメータ更新(100回更新する) for i in range(100): _, l, a_ = sess.run([train_step, loss, a], feed_dict={x: train_x, y: train_y}) if (i+1) % 10 == 0: print ("step=%3d, a1=%6.2f, a2=%6.2f, loss=%.2f" % (i + 1, a_[0], a_[1], 1)) #学習結果を出力 est_a = sess.run(a, feed_dict={x: train_x, y: train_y}) print ("Estimated: a1=%6.2f, a2=%6.2f" % (est_a[0], est_a[1]))

エラー文

x= [[ 1. 3.] [ 3. 1.] [ 5. 7.]] y= [[ 190.] [ 330.] [ 660.]] Traceback (most recent call last): File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 1021, in _do_call return fn(*args) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 1003, in _run_fn status, run_metadata) File "D:\Program Files\Anaconda3\lib\contextlib.py", line 66, in __exit__ next(self.gen) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\framework\errors_impl.py", line 469, in raise_exception_on_not_ok_status pywrap_tensorflow.TF_GetCode(status)) tensorflow.python.framework.errors_impl.InvalidArgumentError: You must feed a value for placeholder tensor 'y' with dtype float [[Node: y = Placeholder[dtype=DT_FLOAT, shape=[], _device="/job:localhost/replica:0/task:0/cpu:0"]()]] During handling of the above exception, another exception occurred: Traceback (most recent call last): File "sample_1.py", line 37, in <module> _, l, a_ = sess.run([train_step, loss, a], feed_dict={x: train_x, y: train_y}) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 766, in run run_metadata_ptr) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 964, in _run feed_dict_string, options, run_metadata) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 1014, in _do_run target_list, options, run_metadata) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\client\session.py", line 1034, in _do_call raise type(e)(node_def, op, message) tensorflow.python.framework.errors_impl.InvalidArgumentError: You must feed a value for placeholder tensor 'y' with dtype float [[Node: y = Placeholder[dtype=DT_FLOAT, shape=[], _device="/job:localhost/replica:0/task:0/cpu:0"]()]] Caused by op 'y', defined at: File "sample_1.py", line 7, in <module> y_ = tf.placeholder(tf.float32, shape=(None,1), name="y") File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\ops\array_ops.py", line 1587, in placeholder name=name) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\ops\gen_array_ops.py", line 2043, in _placeholder name=name) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 759, in apply_op op_def=op_def) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\framework\ops.py", line 2240, in create_op original_op=self._default_original_op, op_def=op_def) File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\framework\ops.py", line 1128, in __init__ self._traceback = _extract_stack() InvalidArgumentError (see above for traceback): You must feed a value for placeholder tensor 'y' with dtype float [[Node: y = Placeholder[dtype=DT_FLOAT, shape=[], _device="/job:localhost/replica:0/task:0/cpu:0"]()]]

その後検索してみるとprotobufをアンインストールしてからimportすると解決するという記事をQiitaで見つけたのでやってみましたtensorFlowのimportでTypeErrorが出る場合
しかし、そうすると別のエラーが出てきました

エラー文

Traceback (most recent call last): File "sample_1.py", line 3, in <module> import tensorflow as tf File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 24, in <module> from tensorflow.python import * File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 63, in <module> from tensorflow.core.framework.graph_pb2 import * File "D:\Program Files\Anaconda3\lib\site-packages\tensorflow\core\framework\graph_pb2.py", line 6, in <module> from google.protobuf import descriptor as _descriptor ImportError: No module named 'google.protobuf'

その後protobufを再インストールしたのですが、最初に載せたエラー文と同じ内容のものが表示されました。

解決方法がありましたら教えて頂きたいです。

実行環境

Windows10
Python3.5.2(Anaconda)

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。